(Important) Update to RHDG Operator 8.2.4 before upgrading to OpenShift 4.9

Solution Verified - Updated -

Issue

  • Are RHDG Operators of 8.0 or 8.1 compatible with OCP 4.9?
  • How to update to OpenShift 4.9 if RHDG is installed?
  • Which RHDG version can be installed in an OCP 4.9+ environment
  • My 8.2 RHDG cluster is not working as expected in an OCP 4.9 environment, what is the reason?
  • APIRemovedInNextReleaseInUse alerts are raised on OpenShift 4.8 where a Datagrid Operator 8.2.x is installed.

Environment

  • Red Hat Data Grid (RHDG)
    • 8
  • Red hat OpenShift Container Platform (OCP)
    • 4.9+

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content